Subject: KBHIT and GETCH
From: Adam Rosenberg <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 19 Jul 2000 17:12:53 -0500

I found that most of my funky stuff from LINUX works just
fine in CYGWIN on my Windows NT box, but one area which doesn't
work is my KBHIT function.

My compile command line is "gcc -g -o g2_cyg.exe g2_cyg.c"
and then I can run g2_cyg from the command line.  It tells
me all my characters except for the arrow keys where it
times out on the [A part of ESCAPE[A for the up arrow key.
My KBHIT function isn't seeing the left bracket, but it
does just fine if I hand type ESCAPE, [, and A.

    Any ideas?  I'm kind of confused here and do not myself
make a career of programming at this level.  I'm a math guy
who does nasty algorithms and want my arrow keys to work,
so I really appreciate any help you can give me here.

Adam N. Rosenberg                    
6751 Rufe Snow Drive, Suite 350      
Watauga, Texas  76148-2331 
    1-817-281-8225 ext. 205
    1-817-281-1512 FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]